import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
export function funktionHilfsenergieDifferenzdruckKesselBWNTbis34kwT39(maximaleHeizlast: number, UebergabeSystem: string) {

    if (maximaleHeizlast < 2.5) { maximaleHeizlast = 2.5; }
    if (maximaleHeizlast > 34) { maximaleHeizlast = 34; } 
   

const dataset = [
    {SuchSpalte: ["maxHeizlast"], DatenSpalte: [2.5, 5, 10, 20, 30, 34]},
    {SuchSpalte: ["Heizkörper 15K"], DatenSpalte: [0.4, 1.7, 6.7, 26.9, 60.5, 77.7]},
    {SuchSpalte: ["Heizkörper 10K"], DatenSpalte: [0.9, 3.8, 15.1, 60.5, 136.1, 174.8]},
    {SuchSpalte: ["Fußbodenheizung 7K"], DatenSpalte: [1.9, 7.7, 30.9, 123.5, 277.8, 356.8]}
];

const VolumenStrom = funktionEinfacheInterpolation(maximaleHeizlast, UebergabeSystem, dataset);
return VolumenStrom;

}